function onBegin()

	math.randomseed(os.time())
	wait(3.5)
	
	::randomSentence::
	timeToWait = math.random(12,14)
	sentence = math.random(0,6)
	wait(timeToWait)
	if not getFlag("talkToggle") then
		if sentence == 0 then
			playSound("event:/2024StoryContest/Narrator_Robot/14b_0")
		elseif sentence == 1 then
			playSound("event:/2024StoryContest/Narrator_Robot/14b_1")
		elseif sentence == 2 then
			playSound("event:/2024StoryContest/Narrator_Robot/14b_2")
		elseif sentence == 3 then
			playSound("event:/2024StoryContest/Narrator_Robot/14b_3")
		elseif sentence == 4 then
			playSound("event:/2024StoryContest/Narrator_Robot/14b_4")
		elseif sentence == 5 then
			playSound("event:/2024StoryContest/Narrator_Robot/14b_5")
		elseif sentence == 6 then
			playSound("event:/2024StoryContest/Narrator_Robot/14_0")
		end
	end
	goto randomSentence
end